Package org.eclipse.ecf.core.util

# Class BundleStarter

java.lang.Object
org.eclipse.ecf.core.util.BundleStarter

public class BundleStarter extends Object

Since:
  3.9

## Constructor Summary

Constructors
Constructor
Description
`BundleStarter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`startDependents(BundleContext context, String[] bundleSymbolicNames, int stateMask)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundleStarter

public BundleStarter()

## Method Details

### startDependents

public static void startDependents(BundleContext context, String[] bundleSymbolicNames, int stateMask) throws BundleException

Throws:
  `BundleException`